import { sliceAndGetSlug } from '@/lib/utils'
import { getBlog } from '@/server/getBlog'
import Link from 'next/link'

export default async function RecentArticles() {
  const blogData = await getBlog()
  return (
    <div className='sticky top-28 flex w-72 flex-shrink-0 flex-col gap-4 lg:w-full'>
      <h3 className='font-bold'>ՎԵՐՋԻՆ ԳՐԱՌՈՒՄՆԵՐԸ</h3>
      <div className='divide-y'>
        {blogData?.resents.map((item, index) => (
          <Link
            href={`${process.env.NEXT_PUBLIC_APP_URL}blog/${sliceAndGetSlug(item.slug)}`}
            key={index}
            className='block py-2 hover:underline'
          >
            {item.title}
          </Link>
        ))}
      </div>
    </div>
  )
}
