'use client'

import { cn, sliceAndGetSlug } from '@/lib/utils'
import { BlogPostHome } from '@/types'
import Image from 'next/image'
import Link from 'next/link'

const BlogCard = ({
  className,
  blogItem,
}: {
  className?: string
  blogItem: BlogPostHome
}) => {
  return (
    <Link
      href={`blog/${sliceAndGetSlug(blogItem.url)}`}
      className={cn(
        'flex flex-col gap-4 overflow-hidden rounded-lg p-4 transition-shadow hover:shadow-xl',
        className
      )}
    >
      <div className='relative'>
        <Image
          src={blogItem.image}
          alt='slider image'
          width={450}
          height={225}
          className='rounded-md object-cover'
        />
      </div>

      <div className='flex flex-col gap-2'>
        <h3 className='line-clamp-2 h-12 pb-2'>{blogItem.title}</h3>
        <h4 className='text-sm text-muted-foreground'>{blogItem.date}</h4>
      </div>
    </Link>
  )
}

export default BlogCard
