import axiosClient from '@/services/axiosClient'
import type { ProductType, Variation } from '@/types'
import { AxiosError } from 'axios'

export async function getCart(): Promise<
  | {
      products: {
        id: number
        product: ProductType
        quantity: number
        variation: Variation | null
      }[]
      sum: number
    }
  | undefined
> {
  try {
    const res = await axiosClient('api/carts')
    return res.data
  } catch (error) {
    if (error instanceof AxiosError) {
      console.log(error)
    }
  }
}
