import { cleanObject } from '@/lib/utils'
import axiosClient from '@/services/axiosClient'
import { ProductType } from '@/types'
import { AxiosError } from 'axios'

export async function getProduct(
  slug: string
): Promise<ProductType | undefined> {
  const params = cleanObject({
    slug,
    // variant,
  })
  try {
    const res = await axiosClient.get('api/product', {
      params,
    })
    return res.data.data
  } catch (error) {
    if (error instanceof AxiosError) {
      console.log(error)
    }
  }
}
