import axiosClient from '@/services/axiosClient'
import { JewelryTypes } from '@/types/store.type'
import { AxiosError } from 'axios'

export async function getStoreData(): Promise<JewelryTypes | undefined> {
  try {
    const res = await axiosClient('api/store-data')
    return res.data
  } catch (error) {
    if (error instanceof AxiosError) {
      console.log(error)
    }
  }
}
