import { cookies } from 'next/headers'
// import Cookies from 'js-cookie'

const BASE_URL = process.env.NEXT_PUBLIC_API_URL

export default async function fetchApi(
  endpoint: string,
  init?: RequestInit
): Promise<Response> {
  // const token = Cookies.get('siamoods_token')
  const token = cookies().get('siamoods_token')?.value

  const authHeaders = {
    Authorization: `Bearer ${token}`,
  }

  if (init?.headers) {
    init.headers = { ...init.headers, ...authHeaders }
  } else {
    init = { ...init, headers: authHeaders }
  }

  return fetch(`${BASE_URL}${endpoint}`, init)
}
